// custom variables
$primary: #407bff;
$secondary: #9fbdff;
$light: #f4f8ff;

// import the function & variables
@import "../node_modules/bootstrap/scss/_functions";
@import "../node_modules/bootstrap/scss/_variables";

$custom-theme-colors: (
  "altdark": #263238,
  "altgray": #f4f8ff,
  "silver": #ada9a9,
  "altsecondary": #93999c,
  "accent": #F178B6
);

$theme-colors: map-merge($custom-theme-colors, $theme-colors);
$carousel-control-color: $primary;
$carousel-control-prev-icon-bg: url("data:image/svg+xml,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='#{$carousel-control-color}'><path d='M11.354 1.646a.5.5 0 0 1 0 .708L5.707 8l5.647 5.646a.5.5 0 0 1-.708.708l-6-6a.5.5 0 0 1 0-.708l6-6a.5.5 0 0 1 .708 0z'/></svg>");
$carousel-control-next-icon-bg: url("data:image/svg+xml,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='#{$carousel-control-color}'><path d='M4.646 1.646a.5.5 0 0 1 .708 0l6 6a.5.5 0 0 1 0 .708l-6 6a.5.5 0 0 1-.708-.708L10.293 8 4.646 2.354a.5.5 0 0 1 0-.708z'/></svg>");

.nav-link {
  &.active {
    position: relative;
    font-weight: 500;
  }
  &.active:after {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    margin: 0 9px;
    background: $secondary;
    height: 5px;
    border-radius: 10px;
  }
}
.rounded-cl {
  border-radius: 24px;
}
.btn {
  &.clbtn {
    height: 60px;
    line-height: 60px;
    border-radius: 24px;
    padding: 0 2em;
    box-shadow: 0px 10px 20px rgba(193, 212, 255, 0.6);
  }
}

.card {
  &.clcard {
    &.top-right-sharp {
      border-radius: 50px 0px 50px 50px;
    }
    border-radius: 50px 50px 50px 50px;
    padding: 1em;
    border: none;
    box-shadow: 0px 10px 20px rgba(193, 212, 255, 0.6);
    img.climg {
      height: 100px;
      margin: 0 auto 2em;
    }
  }
}
section {
  margin-bottom: 8em;
}
#footer {
  ul {
    list-style-type: none;
    padding: 0;
  }
}
//  import bootstrap
@import "../node_modules/bootstrap/scss/bootstrap";
